Package org.eclipse.birt.report.model.api

# Class JointDataSetHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.DataSetHandle
org.eclipse.birt.report.model.api.JointDataSetHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDataSetModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IJointDataSetModel`, `org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel`

public class JointDataSetHandle extends DataSetHandle implements org.eclipse.birt.report.model.elements.interfaces.IJointDataSetModel
Provides API to operate a joint data set.

See Also:
  - `JointDataSet`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDataSetModel

`ACL_EXPRESSION_PROP, CACHED_METADATA_PROP, COLUMN_HINTS_PROP, COMPUTED_COLUMNS_PROP, FILTER_PROP, IS_VISIBLE_PROP, LOCALE_PROP, NEEDS_CACHE_PROP, NULLS_ORDERING_PROP, PARAMETERS_PROP, RESULT_SET_HINTS_PROP, RESULT_SET_PROP, ROW_ACL_EXPRESSION_PROP, ROW_FETCH_LIMIT_PROP, SORT_HINTS_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IJointDataSetModel

`DATA_SETS_PROP, JOIN_CONDITONS_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel

`AFTER_CLOSE_METHOD, AFTER_OPEN_METHOD, BEFORE_CLOSE_METHOD, BEFORE_OPEN_METHOD, CACHED_ROW_COUNT_PROP, DATA_SET_ROW_LIMIT, DATA_SOURCE_PROP, ON_FETCH_METHOD, PARAM_BINDINGS_PROP`

## Constructor Summary

Constructors
Constructor
Description
`JointDataSetHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.JointDataSet element)`
Constructs a handle of the joint data set with the given design and a joint data set.

## Method Summary

Modifier and Type
Method
Description
`void`
`addDataSet(String dataSetName)`
Adds a data set into this joint data set by name.
`Iterator`
`dataSetsIterator()`
Gets data sets in this joint data set.
`List`
`getDataSetNames()`
Gets the names of the data sets in this joint data set.
`Iterator`
`joinConditionsIterator()`
Returns the iterator of join conditions.
`Iterator`
`paramBindingsIterator()`
Returns an iterator over the list of parameter bindings.
`void`
`removeDataSet(String dataSetName)`
Removes a data set from this joint data set by name.
`void`
`setProperty(String propName, Object value)`
Sets the value of a property from a generic object.

### Methods inherited from class org.eclipse.birt.report.model.api.DataSetHandle

`addFilter, columnHintsIterator, computedColumnsIterator, filtersIterator, getACLExpression, getAfterClose, getAfterOpen, getBeforeClose, getBeforeOpen, getCachedMetaDataHandle, getCachedRowCount, getDataSetRowLimit, getDataSource, getDataSourceName, getLocale, getNullsOrdering, getOnFetch, getPropertyHandle, getRowACLExpression, getRowFetchLimit, isVisible, needsCache, parametersIterator, removeFilter, resultSetHintsIterator, resultSetIterator, setAfterClose, setAfterOpen, setBeforeClose, setBeforeOpen, setCachedMetaData, setCachedRowCount, setDataSetRowLimit, setDataSource, setIsVisible, setLocale, setNeedsCache, setNullsOrdering, setOnFetch, setRowFetchLimit, sortHintsIterator`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JointDataSetHandle

public JointDataSetHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.JointDataSet element)
Constructs a handle of the joint data set with the given design and a joint data set. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getDataSetNames

public List getDataSetNames()
Gets the names of the data sets in this joint data set.

Returns:
  a list of names of data sets in this joint data set.

### dataSetsIterator

public Iterator dataSetsIterator()
Gets data sets in this joint data set. Each item in the list is instance of `DataSetHandle`.

Returns:
  a list of data sets in this joint data set.

### addDataSet

public void addDataSet(String dataSetName) throws SemanticException
Adds a data set into this joint data set by name.

Parameters:
  `dataSetName` - the name of the data set to be added in.
Throws:
  `SemanticException` - if the the value of the item is incorrect.

### removeDataSet

public void removeDataSet(String dataSetName) throws SemanticException
Removes a data set from this joint data set by name.

Parameters:
  `dataSetName` - the name of the data set to be removed.
Throws:
  `SemanticException` - if the the value of the item is incorrect.

### joinConditionsIterator

public Iterator joinConditionsIterator()
Returns the iterator of join conditions. The element in the iterator is the corresponding `JoinConditionHandle` that deal with a `JoinCondition`.

Returns:
  the iterator of join condition structure list

### paramBindingsIterator

public Iterator paramBindingsIterator()
Description copied from class: `DataSetHandle`
Returns an iterator over the list of parameter bindings. The iterator returns instances of `ParamBindingHandle` that represents parameter binding object.

Overrides:
  `paramBindingsIterator` in class `DataSetHandle`
Returns:
  iterator over parameter binding.
See Also:
  - `ParamBinding`

### setProperty

public void setProperty(String propName, Object value) throws SemanticException
Description copied from class: `DesignElementHandle`
Sets the value of a property from a generic object. The value can be any of the supported types: String, Double, Integer, BigDecimal or one of the specialized property types. The type of object allowed depends on the type of the property.

Overrides:
  `setProperty` in class `DesignElementHandle`
Parameters:
  `propName` - the property name
  `value` - the value to set
Throws:
  `SemanticException` - if the property is undefined on the element or the value is invalid.